Subject: Re: no pthread_spinlock_t on Mac OS 10.6.4

From: "Gary V. Vaughan" <[email-masked]>
Date: Wed, 22 Sep 2010 14:46:57 +0700

Hi Paul,

Thanks for the swift response.

On 22 Sep 2010, at 12:33, Paul Eggert wrote:

> On 09/21/2010 10:11 PM, Gary V. Vaughan wrote:
> 
>> But the patch causes a bizarre and apparently unrelated compilation
>> error:
>> 
>>  ; make V=1
>>  gcc -std=gnu99  -I. -I../lib      -g -O2 -MT sigprocmask.o -MD -MP -MF .deps/sigprocmask.Tpo -c -o sigprocmask.o ../lib/sigprocmask.c
>>  ../lib/sigprocmask.c:87: error: expected identifier or '(' before 'const'
> 
> I don't see how the patch could do that, unless sigprocmask.c
> includes pthread.h somehow.  Can you verify whether that happens,
> by using gcc -E?  If so, which file is the immediate includer
> of pthread.h?  And if not, what's the difference beween
> the output of gcc -E sigprocmask.c, with and without the patch?

You're right.  I guess my working directory had gotten out of synch with
something.  After a `git reset --hard master && git clean -d -x -f', and
applying the patch again freshly, it works perfectly well, and without
the problems of undefined symbols like the previous patch.

Sorry for the noise.

> Also, could you please try the simpler patch here instead?
> 
> http://lists.gnu.org/archive/html/bug-coreutils/2010-09/msg00080.html

I'll reply in that thread when I've had time to try it.

Cheers,
-- 
Gary V. Vaughan ([email-masked])